//
//  AGHomeFolderSize.h
//  AGTrashStatusMenu
//
//	Copyright (C) 2007 Adam Gerson
//
//	This program is free software; you can redistribute it and/or
//	modify it under the terms of the GNU General Public License
//	as published by the Free Software Foundation; either version 2
//	of the License, or (at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#import <Cocoa/Cocoa.h>
//includes for the quotactl system call
#include <sys/types.h>
#include <sys/quota.h>

@interface AGHomeFolderSize : NSObject {
	NSNumber *homeFolderSize;
	NSNumber *homeFolderFreeSize;
	NSNumber *percentOfUsedSpace;
	//if soft and hard limits are used (and different), homeFolderSize is soft limt, and this is hard limit
	NSNumber *homeFolderHardSize;
        long long diskUse, diskSize, diskFree;
        long long hardUse, hardSize, hardFree;
	long long          softSize, softFree;
 	long long softOver, softTime;
}

- (id)init;
- (void)dealloc;
- (void)updateDiskSpaceInfo;
- (NSString *)humanReadableSize:(long long)bytes;
- (NSString *)humanReadableTime:(int)seconds;

- (long long) getDiskSize;
- (long long) getDiskUse;
- (long long) getDiskFree;
- (long long) getHardSize;
- (long long) getHardUse;
- (long long) getHardFree;
- (long long) getSoftSize;
- (long long) getSoftFree;
- (long long) getSoftOver;
- (long long) getSoftTime;

@end
