//
//  AGTrashStatusItemController.h
//  AGTrashStatusMenu
//
//	Copyright (C) 2007 Adam Gerson
//
//	This program is free software; you can redistribute it and/or
//	modify it under the terms of the GNU General Public License
//	as published by the Free Software Foundation; either version 2
//	of the License, or (at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


#import <Cocoa/Cocoa.h>
#import "AGHomeFolderSize.h"

NSString *redLimitPrefName = @"RedLimit";
NSString *redLimitTypePrefName = @"RedLimitType";
NSString *alertLimitPrefName = @"AlertLimit";
NSString *alertLimitTypePrefName = @"AlertLimitType";
NSString *updateMinutesPrefName = @"UpdateMinutes";
NSString *alertMinutesPrefName = @"AlertMinutes";

@interface AGTrashStatusItemController : NSObject {
	NSStatusItem *statusItem;
	NSImage *menuIcon;
	IBOutlet NSMenu *theMenu; 
	AGHomeFolderSize *homeFolderSize;
	NSTimer *updateTimer;
	NSDictionary *settings;
	NSString *whatIsThisText;
	NSImage *redIcon, *blackIcon;
	NSTimeInterval alertTime;
	NSTimeInterval alertMinimumTime;
	int alertIsUp, explainIsUp, emptyIsUp;
	double redLimit, alertLimit;
	int redLimitType, alertLimitType;
	int updateMinutes, alertMinutes;
	int currentMenuAddIndex;
}

- init;
- (void)dealloc;
- (void)awakeFromNib;
- (void)readInSettings;
- (void)readInUserPrefs;
- (void)updateMenu:(NSTimer *)timer;
- (void)updateMenu;
- (long long)maxUse:(double)limit type:(int)type outOf:(long long)size;
- (void)addItemToMenu:(NSString *)menuText plusString:(NSString *)plus;
- (void)addItemToMenu:(NSString *)menuText;
- (void)alertUser;
- (IBAction)prefsChanged:(id)sender;
- (IBAction)explainToUser:(id)sender;
- (IBAction)emptyTrash:(id)sender;
- (IBAction)quit:(id)sender;
- (void)createStatusItem;
- (BOOL)askForAdminPassword;
- (void)bringAppToFront;


@end


